#include <bits/stdc++.h>

bool isArith(int x) {
  std::string s = std::to_string(x);
  if (s.size() == 1) {
    return true;
  }
  int d = static_cast<int>(s[1] - s[0] + 10) % 10;
  for (size_t i = 1; i + 1 < s.size(); i++) {
    int nd = static_cast<int>(s[i + 1] - s[i] + 10) % 10;
    if (d != nd) {
      return false;
    }
  }
  return true;
}

int main() {
  freopen("arithnumbers.in", "r", stdin);
  freopen("arithnumbers.out", "w", stdout);
  int l, r;
  std::cin >> l >> r;
  const int INF = static_cast<int>(1e9);
  const int DIFF = static_cast<int>(1e5);
  assert(l <= r && r <= INF && r - l <= DIFF);
  int cnt = 0;
  for (int x = l; x <= r; x++) {
    if (isArith(x)) {
      cnt++;
    }
  }
  std::cout << cnt << '\n';
  return 0;
}
