/**
 *    author:  [itmo] enot.1.10
 *    created: 28.01.2017 02:14:50       
**/
#define __USE_MINGW_ANSI_STDIO 0
#include <bits/stdc++.h>

#define F first
#define S second
#define pb push_back
#define forn(i, n) for(int i = 0 ; (i) < (n) ; ++i)
#define eprintf(...) fprintf(stderr, __VA_ARGS__),fflush(stderr)
#define sz(a) ((int)(a).size())
#define all(a) (a).begin(),a.end()
#define pw(x) (1LL<<(x))

using namespace std;

typedef long long ll;
typedef double dbl;
typedef vector<int> vi;
typedef pair<int, int> pi;

const int inf = 1.01e9;
const dbl eps = 1e-9;

/* --- main part --- */

const int N = 1e5 + 10;

char s[N];

int get(int dx)
{
    scanf("%s", s);
    int n = strlen(s);
    
    if (dx) {
        int i = n - 1;
        while (s[i] == '0')
        {
            s[i] = '9';
            --i;
        }
        s[i]--;
    }

    int res = 0;
    for (int len = 1; len < n; ++len)
    {
        if (len == 1) res += 9;
        else res += 90;
    }
    if (n == 1)
    {
        res += s[0] - '0';
    }
    else
    {
        res += (s[0] - '1') * 10 + (s[1] - '0');
        int ok = 1;
        int a = s[1] - '0';
        int b = (s[1] - s[0] + 10) % 10;
        for (int i = 2; i < n; ++i)
        {
            a = (a + b) % 10;
            if (a == s[i] - '0') continue;
            if (a > s[i] - '0') ok = 0;
            break;
        }
        res += ok;
    }
    return res;
}




int main()
{
    assert(freopen("arithnumbers.in", "r", stdin));
    assert(freopen("arithnumbers.out", "w", stdout));
    int l = get(1);
    int r = get(0);
    int res = r - l;
    printf("%d\n", res);
        
    #ifdef home
        eprintf("time = %d ms\n", (int)(clock() * 1000. / CLOCKS_PER_SEC));
    #endif
    return 0;
}
